import { css, LitElement, html } from 'lit';
import { defineElement } from '@umbraco-ui/uui-base/lib/registration';

var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __decorateClass = (decorators, target, key, kind) => {
  var result = kind > 1 ? void 0 : kind ? __getOwnPropDesc(target, key) : target;
  for (var i = decorators.length - 1, decorator; i >= 0; i--)
    if (decorator = decorators[i])
      result = (kind ? decorator(target, key, result) : decorator(result)) || result;
  if (kind && result)
    __defProp(target, key, result);
  return result;
};
let UUIBoxElement = class extends LitElement {
  render() {
    return html`
      <slot name="header"></slot>
      <slot name="main"></slot>
      <slot></slot>
    `;
  }
};
UUIBoxElement.styles = [
  css`
      :host {
        display: block;
        /* TODO: fix automatic fallback values for shadows shadows.*/
        box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
        border-radius: var(--uui-border-radius,3px);
        background-color: var(--uui-interface-surface,#fefefe);
      }

      ::slotted([slot='header']) {
        border-bottom: 1px solid var(--uui-interface-border,#c4c4c4);
        padding: var(--uui-size-4,12px) var(--uui-size-5,15px);
      }

      ::slotted([slot='main']) {
        padding: var(--uui-size-5,15px);
      }
    `
];
UUIBoxElement = __decorateClass([
  defineElement("uui-box")
], UUIBoxElement);

export { UUIBoxElement };
